Bullet Collision Detection & Physics Library: gjkepa2_impl::EPA Struct Reference

Bullet Collision Detection & Physics Library

Classes | Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
gjkepa2_impl::EPA Struct Reference
Collaboration diagram for gjkepa2_impl::EPA:
[legend]

## Classes
struct | eStatus
struct | sFace
struct | sHorizon
struct | sList

## Public Types
typedef GJK::sSV | sSV

## Public Member Functions
| EPA ()
void | Initialize ()
eStatus::_ | Evaluate (GJK &gjk, const btVector3 &guess)
bool | getedgedist (sFace *face, sSV *a, sSV *b, btScalar &dist)
sFace * | newface (sSV *a, sSV *b, sSV *c, bool forced)
sFace * | findbest ()
bool | expand (U pass, sSV *w, sFace *f, U e, sHorizon &horizon)

## Static Public Member Functions
static void | bind (sFace *fa, U ea, sFace *fb, U eb)
static void | append (sList &list, sFace *face)
static void | remove (sList &list, sFace *face)

## Public Attributes
eStatus::_ | m_status
GJK::sSimplex | m_result
btVector3 | m_normal
btScalar | m_depth
sSV | m_sv_store [EPA_MAX_VERTICES]
sFace | m_fc_store [EPA_MAX_FACES]
U | m_nextsv
sList | m_hull
sList | m_stock

## Detailed Description

Definition at line 523 of file btGjkEpa2.cpp.

## Member Typedef Documentation

## ◆ sSV

typedef GJK::sSV gjkepa2_impl::EPA::sSV

Definition at line 526 of file btGjkEpa2.cpp.

## Constructor & Destructor Documentation

## ◆ EPA()

gjkepa2_impl::EPA::EPA | ( |  | ) |
| inline

Definition at line 572 of file btGjkEpa2.cpp.

## Member Function Documentation

## ◆ append()

static void gjkepa2_impl::EPA::append | ( | sList & | list,
|  | sFace * | face
| ) |  |
| inlinestatic

Definition at line 583 of file btGjkEpa2.cpp.

## ◆ bind()

static void gjkepa2_impl::EPA::bind | ( | sFace * | fa,
|  | U | ea,
|  | sFace * | fb,
|  | U | eb
| ) |  |
| inlinestatic

Definition at line 578 of file btGjkEpa2.cpp.

## ◆ Evaluate()

eStatus::_ gjkepa2_impl::EPA::Evaluate | ( | GJK & | gjk,
|  | const btVector3 & | guess
| ) |  |
| inline

Definition at line 611 of file btGjkEpa2.cpp.

## ◆ expand()

bool gjkepa2_impl::EPA::expand | ( | U | pass,
|  | sSV * | w,
|  | sFace * | f,
|  | U | e,
|  | sHorizon & | horizon
| ) |  |
| inline

Definition at line 811 of file btGjkEpa2.cpp.

## ◆ findbest()

sFace* gjkepa2_impl::EPA::findbest | ( |  | ) |
| inline

Definition at line 796 of file btGjkEpa2.cpp.

## ◆ getedgedist()

bool gjkepa2_impl::EPA::getedgedist | ( | sFace * | face,
|  | sSV * | a,
|  | sSV * | b,
|  | btScalar & | dist
| ) |  |
| inline

Definition at line 715 of file btGjkEpa2.cpp.

## ◆ Initialize()

void gjkepa2_impl::EPA::Initialize | ( |  | ) |
| inline

Definition at line 600 of file btGjkEpa2.cpp.

## ◆ newface()

sFace* gjkepa2_impl::EPA::newface | ( | sSV * | a,
|  | sSV * | b,
|  | sSV * | c,
|  | bool | forced
| ) |  |
| inline

Definition at line 751 of file btGjkEpa2.cpp.

## ◆ remove()

static void gjkepa2_impl::EPA::remove | ( | sList & | list,
|  | sFace * | face
| ) |  |
| inlinestatic

Definition at line 591 of file btGjkEpa2.cpp.

## Member Data Documentation

## ◆ m_depth

btScalar gjkepa2_impl::EPA::m_depth

Definition at line 565 of file btGjkEpa2.cpp.

## ◆ m_fc_store

sFace gjkepa2_impl::EPA::m_fc_store[EPA_MAX_FACES]

Definition at line 567 of file btGjkEpa2.cpp.

## ◆ m_hull

sList gjkepa2_impl::EPA::m_hull

Definition at line 569 of file btGjkEpa2.cpp.

## ◆ m_nextsv

U gjkepa2_impl::EPA::m_nextsv

Definition at line 568 of file btGjkEpa2.cpp.

## ◆ m_normal

btVector3 gjkepa2_impl::EPA::m_normal

Definition at line 564 of file btGjkEpa2.cpp.

## ◆ m_result

GJK::sSimplex gjkepa2_impl::EPA::m_result

Definition at line 563 of file btGjkEpa2.cpp.

## ◆ m_status

eStatus::_ gjkepa2_impl::EPA::m_status

Definition at line 562 of file btGjkEpa2.cpp.

## ◆ m_stock

sList gjkepa2_impl::EPA::m_stock

Definition at line 570 of file btGjkEpa2.cpp.

## ◆ m_sv_store

sSV gjkepa2_impl::EPA::m_sv_store[EPA_MAX_VERTICES]

Definition at line 566 of file btGjkEpa2.cpp.

The documentation for this struct was generated from the following file:

- btGjkEpa2.cpp